Entity
Create a person entity
Create a new person entity for individual customers.
Body Parameters
address
objectOptionalAddresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the Fedwire character validation. Required by default.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
country_of_citizenship
stringOptionalCountry of citizenship of the individual. Country of citizenship does not need to match the issuing country of an identity document. ISO 3166-1 Alpha-2 Country Code (e.g., US, FR, UK, DE, ...).
date_of_birth
stringRequiredDate of birth in YYYY-MM-DD format. Required by default.
drivers_license
objectOptionalDriver's license details. At least one form of identification (ssn, passport, drivers_license, or national_id) is required. Driver's license country code must be non-U.S. When left blank, the Driver's License field returns null.
country_code
stringOptionalTwo-letter ISO 3166-1 alpha-2 country code of the issuing country
number
stringOptionalDriver's license number
Email of the individual. Optional, but highly encouraged as it will increase likelihood of an automated verification. When left blank, the Email field returns an empty string ("").
employment_status
stringOptionalEmployment status of the individual.
expected_payment_rails
stringOptionalExpected transaction types for the account.
first_name
stringRequiredFirst name of the legal person. Must adhere to Fedwire character validation.
income
array of numbersOptionalEstimated pre-tax annual income. Accepts an array to allow passing income ranges.
is_high_risk
booleanOptionalIndicates whether the entity has been identified as high risk based on compliance screening
is_root
booleanOptionalWhether this entity is going to be a root entity of the platform. Root entities have special requirements and validation rules.
last_name
stringRequiredLast name of the legal person. Must adhere to Fedwire character validation.
makes_international_payments
booleanOptionalIndicates whether the individual expects to make international payments.
middle_name
stringOptionalMiddle name of the legal person. Must adhere to Fedwire character validation.
national_id
objectOptionalNational ID details. At least one form of identification (ssn, passport, drivers_license, or national_id) is required. National ID country code must be non-U.S. When left blank, the National ID field returns null.
country_code
stringOptionalTwo-letter ISO 3166-1 alpha-2 country code of the issuing country
number
stringOptionalNational ID number
occupation
stringOptionalIndustry of employment or occupation of the individual.
passport
objectOptionalPassport details. At least one form of identification (ssn, passport, drivers_license, or national_id) is required. Passport country code must be non-U.S. When left blank, the Passport field returns an empty object and the Driver's License and National ID fields return null.
country_code
stringOptionalTwo-letter ISO 3166-1 alpha-2 country code of the issuing country
number
stringOptionalPassport number
pep_status
stringOptionalPolitically Exposed Person screening status. Allowed values: not_checked, no, yes, potential.
phone_number
stringOptionalPhone number of the individual in the E.164 format. Optional, but highly encouraged as it will increase likelihood of an automated verification. When left blank, the phone number field returns an empty string ("").
purpose_of_account
array of stringsOptionalIntended use of the account.
role
stringOptionalIndividual's role or job title at their place of employment.
source_of_income
array of stringsOptionalSources of income for the individual.
ssn
stringOptionalSocial Security Number. ITIN may be shared in place of SSN. At least one form of identification (ssn, passport, drivers_license, or national_id) is required. If SSN is provided, country of citizenship is not required. When left blank (i.e., for non-U.S. citizens) the SSN field returns an empty string ("").